using System;
class Program
{
    static void Main()
    {
        Console.Write("");
        string ulaz = Console.ReadLine();
        string[] nm = ulaz.Split(' ');
        int n = Convert.ToInt32(nm[0]);
        string []sorok=new string[n];
        for (int i = 0; i < n; i++)
        {
            Console.Write("");
            sorok[i] = Console.ReadLine();
        }

            Console.Write("-1");

        Console.ReadKey();
    }
}